Package tigase.vhosts

# Class VHostItemExtensionManager

java.lang.Object
tigase.vhosts.VHostItemExtensionManager

@Bean(name="extension-manager", parent=VHostManager.class, active=true, exportable=true) public class VHostItemExtensionManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VHostItemExtensionManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Stream<VHostItemExtension>`
  `addMissingExtensions(Collection<VHostItemExtension> extensions)`
  `protected <T extends VHostItemExtension>
  T`
  `newExtensionInstance(VHostItemExtensionProvider<T> provider)`
  `<T extends VHostItemExtension>
  T`
  `newExtensionInstanceForClass(Class<T> extensionClass)`
  `<T extends VHostItemExtension>
  Stream<T>`
  `newExtensionInstances()`
  `<T extends VHostItemExtension>
  Stream<T>`
  `newExtensionInstances(Stream<VHostItemExtensionProvider> providerStream)`
  `void`
  `setProviders(VHostItemExtensionProvider[] providers)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VHostItemExtensionManager

    public VHostItemExtensionManager()

- ## Method Details

  - ### setProviders

    public void setProviders(VHostItemExtensionProvider[] providers)

  - ### newExtensionInstanceForClass

    public <T extends VHostItemExtension> T newExtensionInstanceForClass(Class<T> extensionClass)

  - ### newExtensionInstances

    public <T extends VHostItemExtension> Stream<T> newExtensionInstances()

  - ### newExtensionInstances

    public <T extends VHostItemExtension> Stream<T> newExtensionInstances(Stream<VHostItemExtensionProvider> providerStream)

  - ### newExtensionInstance

    protected <T extends VHostItemExtension> T newExtensionInstance(VHostItemExtensionProvider<T> provider)

  - ### addMissingExtensions

    public Stream<VHostItemExtension> addMissingExtensions(Collection<VHostItemExtension> extensions)